<?php

	lt_include( PLOG_CLASS_PATH."plugins/ads/class/blocks/customblock.class.php" );
	
	/**
	 * This is a very simple custom block that will replace all occurrences of
	 * "#googleads#" with the content specified for the block. You can of course
	 * do any other custom replacement by either modifying this custom block
	 * or copying this code to your new block.
	 */
	class ExampleGoogleAds extends CustomBlock
	{
		function process( $content, $block, $blog, $eventInfo )
		{
			return( str_replace( "#googleads#", $block->getCode(), $content ));
		}
	}
?>